小R科技-WIFI机器人网·机器人创意工作室

 找回密码
 立即注册
查看: 248|回复: 3

运行manage.py的时候报错

[复制链接]
发表于 2020-5-26 12:51:45 | 显示全部楼层 |阅读模式
小车没电,只把树莓派连上了电源进行调试,我想的是小车不能走,启动的话应该能启动web然后看到摄像头的画面吧。但是运行了python manage.py drive时出现了下面的错误
我看网上的说法有两个
1.系统中存在多个python版本。但是我已经把树莓派的python2.7删了,默认改成了python3.7,难道说当时写程序的时候用的python版本跟3.7.3冲突?
2.是Keras支持的python版本最高到python3.6,系统是py3.7.3就不能用?我不清楚上面运行过程中是否涉及keras,还有待学习。

最近在使用XR-F1在做毕业设计,很着急,希望能早点得到答复。
5月26上午报错.png
回复

使用道具 举报

小R  Master战车
发表于 2020-5-26 16:05:53 | 显示全部楼层
你好,感谢您购买XR-F1套件!对于您的问题,做如下回复:由图中看出您应该是升级过XR-F1中内置系统中的python版本,并且报actuator.so文件错误,此文件是小R科技专为XR-F1编写的电机及舵机驱动库,并且在XR-F1出货固件的python版本中编译成不可编辑的.so文件库供用户使用,抱歉,此文件库仅供用户调用,除此之外,您可以可以任意更改并编写自己的程序。您在升级python版本之后对应的actuator.so文件就不能使用了,为了程序的运行稳定,所以建议您不要升级python版本。如python官方有较大版本更新,我们将升级XR-F1固件以适配,目前最新版本为python3,后续如有更新,我们将通知用户!祝您生活愉快!
回复 支持 反对

使用道具 举报

 楼主| 发表于 2020-5-26 16:49:31 | 显示全部楼层
yu木风 发表于 2020-5-26 16:05
你好,感谢您购买XR-F1套件!对于您的问题,做如下回复:由图中看出您应该是升级过XR-F1中内置系统中的pyth ...

这个系统是我自己装的官方的,XR-F1的固件是从https://github.com/991693552/donkeycar-pi下载过来的,树莓派开机进去的是python2.7,我给2.7卸载了换成默认python版本为3.7,是保持python2.7不要动吗?
回复 支持 反对

使用道具 举报

发表于 2020-5-27 10:37:38 | 显示全部楼层
greenhand 发表于 2020-5-26 16:49
这个系统是我自己装的官方的,XR-F1的固件是从https://github.com/991693552/donkeycar-pi下载过来的,树 ...

是的
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

关闭

猜您想找.......上一条 /10 下一条

QQ|QQ技术咨询1|QQ技术咨询2|商务合作微信1:xiaorgeek001|商务合作微信2:cly999666|商务合作微信3:wx_rob|诚聘英才|Archiver|手机版|小R科技-WIFI机器人网·机器人创意工作室 ( 粤ICP备12019445 )

GMT+8, 2020-7-10 10:16 , Processed in 1.100683 second(s), 22 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表